Get one mob prototype
Look up the Dark Pawns admin API request and response contract. Sign in with a level 40 character and use the authenticated admin console session.
const url = 'https://example.com/admin/mobs/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/admin/mobs/exampleA single mob prototype by vnum.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Mob prototype vnum. A non-numeric vnum returns 400; an unknown vnum returns 404.
Mob prototype vnum. A non-numeric vnum returns 400; an unknown vnum returns 404.
Responses
Section titled “Responses”OK
object
Example generated
{ "ac": 1, "action_flags": [ "example" ], "affect_flags": [ "example" ], "alignment": 1, "cha": 1, "con": 1, "default_pos": 1, "dex": 1, "exp": 1, "gold": 1, "hp": "example", "int": 1, "keywords": "example", "level": 1, "long_desc": "example", "position": 1, "race": 1, "script_name": "example", "sex": 1, "short_desc": "example", "str": 1, "vnum": 1, "wis": 1}default
Section titled “default”Error
object
A human-readable explanation specific to this occurrence of the problem.
Optional list of individual error details
object
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
Error message text
The value at the given location
A URI reference that identifies the specific occurrence of the problem.
HTTP status code
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
A URI reference to human-readable documentation for the error.
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}